[Unit]
Description=droid-hal-init
Wants=systemd-udev-settle.service
After=local-fs.target systemd-udev-settle.service systemd-tmpfiles-setup.service
Before=basic.target network.target bluetooth.service ofono.service sensorfwd.service
DefaultDependencies=no
Conflicts=shutdown.target
# Lets not do Requires= here as that means that this service will restart which leads automatically
# to broken state as android init can be only started once per boot. If something goes wrong
# our best hope is that android init doesn't notice that and that the crashing party fixes itself :)

[Service]
Type=notify
NotifyAccess=all
ExecStart=/bin/sh /usr/bin/droid/droid-hal-startup.sh
ExecStop=/bin/sh /usr/bin/droid/droid-hal-shutdown.sh %c
TimeoutSec=60

[Install]
WantedBy=graphical.target
